// $Id: ClientPrinter.cc,v 1.5 2002/10/28 15:44:27 jbaltes Exp $
//

using namespace std;

#include <fcntl.h>
#include <netinet/in.h>
#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include <string>
#include <sys/socket.h>
#include <unistd.h>

int verbose = 0, port = 6363, s;
struct sockaddr_in src;
volatile int loopflag;

void
sigio (int)
{
  char buf[16384];
  memset (buf, 0, sizeof (buf));
  if (-1 == recvfrom (s, buf, sizeof (buf), 0, 0, 0))
    perror ("recvfrom");
  printf ("%s", buf);
  fflush (stdout);
  signal (SIGIO, sigio);
}

void
sigint (int)
{
  loopflag = 0;
}

int
main (int argc, char *argv[])
{
  int setreuse = 1;

  switch (argc)
    {
    case 4:
      if (0 == strcmp (argv[3], "-v"))
	verbose = !0;
      if (0 == strcmp (argv[2], "-p"))
	port = atoi (argv[3]);
    case 3:
      if (0 == strcmp (argv[1], "-p"))
	port = atoi (argv[2]);
    case 2:
      if (0 == strcmp (argv[1], "-v"))
	verbose = !0;
    }

  if (-1 == (s = socket (AF_INET, SOCK_DGRAM, 0)))
    perror ("socket");

  src.sin_family = AF_INET;
  src.sin_port = htons (port);
  src.sin_addr.s_addr = htonl (INADDR_ANY);
  //  src.sin_addr.s_addr = htonl ( 192 << 24 | 168 << 16 | 25 << 8 | 102 );

  if (setsockopt (s, SOL_SOCKET, SO_REUSEADDR, &setreuse, sizeof (setreuse))
      == -1)
    perror ("setsockopt");

  if (-1 == bind (s, (struct sockaddr *) &src, sizeof (src)))
    perror ("bind");

  if (-1 == fcntl (s, F_SETOWN, getpid ()))
    perror ("fcntl F_SETOWN");
  if (-1 == fcntl (s, F_SETFL, FASYNC))
    perror ("fcntl F_SETFL, FASYNC");

  signal (SIGIO, sigio);
  signal (SIGINT, sigint);
  for (loopflag = !0; loopflag; pause ());

  close (s);
  return 0;
}
