#include "Brain.h"
#include "Robot.h"
#include "PotentialMap.h"
#include "Ball.h"
#include "Action.h"

#define NUM_ACTIONS 4
#define NUM_OUR_ROBOTS 4
#define NUM_ROBOTS 8

class ActionTable {

	public:
	ActionTable();
	~ActionTable();

	void calculate( Robot *robots, PotentialMap *maps, Ball *ball );
	void evaluateShoot(Robot *robots, PotentialMap *maps, Ball *ball);
	void evaluateClear(Robot *robots, PotentialMap *maps, Ball *ball);
	/*
	//replaced by evaluateIntercept (?);
	void evaluateBlock(Robot &robots, PotentialMap& maps, Ball *ball);
	void evaluateAnnoy(Robot &robots, PotentialMap& maps, Ball *ball);
	*/
	void evaluateIntercept(Robot *robots, PotentialMap *maps, Ball *ball);
	void evaluateGetOpen(Robot *robots, PotentialMap *maps, Ball *ball);
	void evaluateTrail(Robot *robots, PotentialMap *maps, Ball *ball);
	
	void assignActions(Robot *robots);
	void print();
	
 	private:
	Action **table;
	double evaluateSpecificIntercept (Robot robot, Vector enemyPos, Vector targetPos, Vector &bestPosition, Vector &bestOrientation);
	
		
};

